Bug 628257 - O SELinux está impedindo que o /sbin/ldconfig acesse um descritor de arquivo vazado do /home/cleiton/.cache/gwibber/gwibber.log.
Summary: O SELinux está impedindo que o /sbin/ldconfig acesse um descritor de arquivo ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:df8258a1c54...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-29 01:01 UTC by cleiton Lima
Modified: 2010-09-08 04:32 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:32:20 UTC


Attachments (Terms of Use)

Description cleiton Lima 2010-08-29 01:01:29 UTC
Sumário:

O SELinux está impedindo que o /sbin/ldconfig acesse um descritor de arquivo
vazado do /home/cleiton/.cache/gwibber/gwibber.log.

Descrição detalhada:

[ldconfig tem um tipo permissivo (ldconfig_t). Esse acesso não foi negado.]

O SELinux impediu o acesso requisitado pelo comando ldconfig. Parece que isso é
um descritor vazado ou uma saída que foi direcionada para um arquivo que não é
permitido de ser acessado. Os vazamentos normalmente podem ser ignorados já que
o SELinux apenas está os fechando e relatando o erro. Se o aplicativo não usa
esse descritor, ele irá executar apropriadamente. Se esse for um
redirecionamento, você não obterá uma saída no
/home/cleiton/.cache/gwibber/gwibber.log. Você deve gerar um bugzilla para o
selinux-policy e ele será encaminhado para o pacote apropriado. Você pode
ignorar seguramente

Permitindo acesso:

Você pode gerar um módulo de política local para permitir este acesso - veja o
FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Informações adicionais:

Contexto de origem            unconfined_u:unconfined_r:ldconfig_t:s0-s0:c0.c102
                              3
Contexto de destino           unconfined_u:object_r:cache_home_t:s0
Objetos de destino            /home/cleiton/.cache/gwibber/gwibber.log [ file ]
Origem                        ldconfig
Caminho da origem             /sbin/ldconfig
Porta                         <Desconhecido>
Máquina                       (removido)
Pacotes RPM de origem         glibc-2.12.90-8
Pacotes RPM de destino        
RPM da política               selinux-policy-3.8.8-20.fc14
Selinux habilitado            True
Tipo de política              targeted
Modo reforçado                Enforcing
Nome do plugin                leaks
Nome da máquina               (removido)
Plataforma                    Linux (removido) 2.6.35.4-12.fc14.i686
                              #1 SMP Fri Aug 27 08:05:49 UTC 2010 i686 i686
Contador de alertas           1
Visto pela primeira vez em    Sáb 28 Ago 2010 21:53:21 BRT
Visto pela última vez em      Sáb 28 Ago 2010 21:53:21 BRT
ID local                      b8c3a158-e48b-42b5-9975-ceefee5c800b
Números de linha              

Mensagens de auditoria não pr 

node=(removido) type=AVC msg=audit(1283043201.430:138): avc:  denied  { append } for  pid=2789 comm="ldconfig" path="/home/cleiton/.cache/gwibber/gwibber.log" dev=dm-2 ino=1836239 scontext=unconfined_u:unconfined_r:ldconfig_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=file

node=(removido) type=SYSCALL msg=audit(1283043201.430:138): arch=40000003 syscall=11 success=yes exit=0 a0=8c121a8 a1=8c12228 a2=8c11448 a3=8c12228 items=0 ppid=2788 pid=2789 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="ldconfig" exe="/sbin/ldconfig" subj=unconfined_u:unconfined_r:ldconfig_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  leaks,ldconfig,ldconfig_t,cache_home_t,file,append
audit2allow suggests:

#============= ldconfig_t ==============
allow ldconfig_t cache_home_t:file append;

Comment 1 Daniel Walsh 2010-08-30 14:00:01 UTC
Fixed in selinux-policy-3.9.0-2.fc14

Comment 2 Fedora Update System 2010-08-30 15:59:46 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:38:25 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 cleiton Lima 2010-09-01 01:56:09 UTC
The problem was solved with the update. Thank you.

Comment 5 Daniel Walsh 2010-09-01 13:08:03 UTC
Update karma please.

Comment 6 Fedora Update System 2010-09-08 04:30:37 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.